
version: '3.6'

services:

  webdav:
    image: derkades/webdav
    ports:
      - "31321:80"
    environment:
      USERNAME: nfs
      PASSWORD: qwe123
      TZ: "Asia/Seoul"
    volumes:
      - /nfs:/data
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm1]
    networks: &allinoneNetwork
      - allinoneNetwork
    logging:
      driver: "json-file"
      options:
        max-file: "5"
        max-size: "100m"

configs:
  settings.json:
    file: ./etherpad/settings.json

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
